From 944aa4d4b53237cb165de4944bd04918fefba28e Mon Sep 17 00:00:00 2001
From: Dave Cooper <open-source@genworks.com>
Date: Sat, 19 Oct 2013 22:40:22 -0400
Subject: [PATCH] add sleep time to be sure about file timestamps esp. for
 Windows

---
 test/stamp-propagation/test-stamp-propagation.lisp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/test/stamp-propagation/test-stamp-propagation.lisp b/test/stamp-propagation/test-stamp-propagation.lisp
index eb7a8b4..8296350 100644
--- a/test/stamp-propagation/test-stamp-propagation.lisp
+++ b/test/stamp-propagation/test-stamp-propagation.lisp
@@ -143,14 +143,16 @@
   (clear-fasls defsystem)
   (DBG "loading system")
   (reload defsystem)
-  (sleep 2) ;; TODO: on ASDF at least, instead touch the file stamp with the cache.
+  #-os-windows (sleep 3) ;; TODO: on ASDF at least, instead touch the file stamp with the cache.
+  #+os-windows (sleep 5) ;; TODO: on ASDF at least, instead touch the file stamp with the cache.
   (DBG "touching first source file and reloading")
   (DBG "defsystem should recompile & reload everything")
   (touch-file1.lisp)
   (assert-equal (sanitize-log (reload defsystem))
                 '((:compiling :system) (:compile-toplevel :file1) (:load-toplevel :file1)
                   (:compile-toplevel :file2) (:load-toplevel :file2)))
-  (sleep 2)
+  #-os-windows (sleep 3)
+  #+os-windows (sleep 5)
   (DBG "touching first fasl file and reloading")
   (DBG "defsystem should reload it, recompile & reload the other")
   (touch-file1.fasl defsystem)
-- 
1.7.12.4 (Apple Git-37)

